I have some code to replace the current title block with a title block from a template file. I just don't like how it adds a new title block definition named "copy of titleblock". I'd like to delete or replace the current title block definition so only the newly added one is listed.
Sub test() Dim odrawdoc As DrawingDocument Set odrawdoc = ThisApplication.ActiveDocument If (odrawdoc.DocumentType <> kDrawingDocumentObject) Then Exit Sub Dim oTemplate As DrawingDocument Dim oSourceTitleBlockDef As TitleBlockDefinition Dim oNewTitleBlockDef As TitleBlockDefinition Dim oSheet As Sheet Set oTemplate = ThisApplication.Documents.Open(ThisApplication.FileOptions.TemplatesPath & "template.idw", False) Set oSourceTitleBlockDef = oTemplate.ActiveSheet.TitleBlock.Definition Set oNewTitleBlockDef = oSourceTitleBlockDef.CopyTo(odrawdoc) ' Iterate through the sheets. For Each oSheet In odrawdoc.Sheets oSheet.Activate oSheet.TitleBlock.Delete Call oSheet.AddTitleBlock(oNewTitleBlockDef) Next oTemplate.CloseEnd Sub
I'm just being picky at this point, but I don't want a buildup of title block definitions. We reuse drawings all the time which is why a simple method of updating a title block would be nice. I can just imagine in some years time after a title block update or two there are 20 "copy of copy of copy of .................. titleblock" listed in a drawing file.
I am having an issue with drawing files. I have set views on assembly files. But on the idw file it is showing wrong views... And this is making problems when i am trying to give dimensions. I have attached jpg files.
is there a way of find and replace tab names in one drawing file? one file with six tabs named 001 rev A, 002 rev A etc. i would like to change all the "rev A" to "rev 0" with out going into each tab seperatly and changing them.
One of the new features in 2013 is the ability to copy a view that is on the idw. Is there a way to copy/paste a view, then replace the reference of ONLY the part in the view that was just copied?
What I have is two parts. For simplicity, just imagine both as a square plate. One has a hole in it, one doesnt. I have already dimensioned the square plate. Now I copy the view and paste it back on the sheet. I want to replace the reference of the one I just copied and change the reference to the part with the hole. If I use replace model reference command, it will replace both references, which is what I dont want.
Just a wish I guess, but the only way I can do this now it to place the second part on the sheet and start dimensioning it. Seems like a waste when we almost have the tools to quickly complete this.
I have some styles I will like to replace in some drawings but how? I cant find any function to do this.
Dim oIDWStyles As Inventor.DrawingStylesManager Set oIDWStyles = oDrawDoc.StylesManager Dim oldstyle As style Dim Newstyle As style For Each oldstyle In oIDWStyles.Styles If oldstyle.Name = "Old style" Then
After upgrading to Inventor 2014 we notice that the graphics do not work properly, and that the overall performance in drawings and modelling bad compared to 2013. Then we installed SP1 and now drawing views are disappearing, however when we select "shaded" view the view reappears and works perfectly..
Each time when I place a part in base view, have to follow few steps; go through view label, format Text, than choose type option - [Properties-Model] and its property - [Part Number], than placing dimensions. it takes long time and very repetitive, especially, when placing a hundreds of parts and I was wondering if there is an option, to set up view label; [Properties - Model ]& [Part number], as a DEFAULT. So, each time placing a part, in base view it will come up with correct label. Also, overall dimensions, can it be retrieve using parameters of the part?
how to replace a model reference in and Inventor 11 .idw file. - It seems this is something easy to do in Inventor 12 but I don't see how to do it in 11..
I need to rename and replace occurences in an assembly, then modify the occurence name.I rename and replace only Farme generator components, which is tested by <condiftion>.What I want to do :
- Num = ABC - Original filename = toto.ipt - New filename = ABC_toto.ipt, and Occurence name = ABC_toto
The code :
fileDir contain the file path docFName contain the original file name (for example, toto.ipt) Num contain the prefix to add to the name and the occurence name (for example, ABC) If <condition>Then
New_name = fileDir & Num & "_" & docFName Call oFileNameOcc.SaveAs(New_name, True) Call oOccurrence.Replace(New_name, False) oOccurrence.name = Num & "_" & oOccurrence.name End If
The problem is, the first time I use the macro, the prefix is added twice in the occurence name (the filename is ok) : I obtain ABC_ABC_toto. This happen only the first time, and only on an orrignal Frame Generator assembly.
If I use the macro again, with for example Num = 123, the result is : 123_ABC_ABC_toto.Where is the problem ?
My annotations disappear when i replace an ipt with similar ipt in an idw file. The view and the browser update to the new part but the annotation disappear.
I'm working on a Isometric drawing and im trying to dimension the view. I keep the original view there and cut another of the same view and place that cut view over the original, so I have something to snap to while dimensioning.
Every time i go to place the cut view over the original and i always grab the wrong view and move it and I am wondering if there is a way to pin the original view in place permanently?
I've got a macro which is creating .ipt and .idw files from templates. I'm once created I'm replacing the reference in the .idw to refer to the newly created .ipt file. The problem is that the drawing view isn't updating... I've make the .ipt file dirty then udpate the drawing, but that hasn't worked. I've tried just using the drawingdocument.update function, but that hasn't worked either...
Setting up a tabulated ipart drawing template. Which is better...one drawing file with a table or individual drawings for each tabulation? Also does one method work better than the other when introducing vault?
In the continuing persuit to learn Inventor, of this selection in the drawing view editor?I have noticed one thing. When it is checked it turns off the visibility of parts within an assembly view.
I have an assembly that is derived from a solid body part. The assembly can rotate in the part hence the .iam that was created using Make Components also rotates. The trouble is I need to make a template drawing showing the assembly in the same position all the time.
Is there a way to make a base view always look at a surface and follow that surface so that the view on the drawing always looks the same?
For example: If I had a dice and I create a base view of the two dots side of the die. If I roll the die I still want to see in the base view the two dots side of the die in the same orientation.
I am using this code to turn visibility of components off in IDw file, what I need top turn visibility of a component of in a subassembly.
'oDrawingDocument = ThisApplication.ActiveDocument 'Get the first view 'Dim oView As Inventor.DrawingView 'oView = oDrawingDocument.ActiveSheet.DrawingViews.Item(2)
We are sometimes faced with the problem that we would like change the coordinate system of the model and have the drawing update it with the new orientation of the part without the need to place every annotation again. This is mostly for legacy parts and assemblies which are not modeled correct according to the coordinate system of the machine.
The following sample code does not work, is this by design or is there an error in the code?
Public Sub RotateFirstView() Dim oDrawDoc As DrawingDocument Set oDrawDoc = ThisApplication.ActiveDocument Dim oDrawView As DrawingView Set oDrawView = oDrawDoc.Sheets(1).DrawingViews(1) Dim oCamera As Camera Set oCamera = oDrawView.Camera Debug.Print oCamera.ViewOrientationType = kFrontViewOrientation oCamera.ViewOrientationType = kIsoBottomLeftViewOrientation oCamera.ApplyEnd Sub
Inventor Professional 2012 SP1 (25 seats with subscription) Windows 7 64 bit Lenovo D20, 12 GB RAM, Intel Xeon X5687 3.6 GHz, SSD Quadro 4000, driver 8.17.12.9573, dual monitors SpacePilot, driver version 6.15.3 Firmware 3.12
I am trying to align two views horizontally with I logic, (view 1) and (view 2) but I am not sure what the syntax needs to look like.
I know that I need to import the Drawing view Alignment Enumeration, but other than that I don't know what to do, can some one post an example of how to align views with I-logic.
I have some models which are based on skeleton modeling and where the actual parts are modeled at the position where they are in the assembly. When the skeleton part is changed the parts will update and their orientation related to the origin planes can change. This is where the problem lies, on the drawings of these parts the views are all skewed after an update.
Is it somehow possible to tell Inventor that all views on a a drawing should stay alligned to a workplane? Because it are all parts and no assemblies I cannot use posreps (and I don't want to use dummy assemblies). I also tried setting a specific edge to be horizontal with the rotate command in the drawing. This works for the base view, but all projected views will still be skewed after an update.
Is it possible to get the "actual" calculated area of the face of a part from a drawing view? I looked at the drawing view object in the api but didn't find what I was looking for. What my goal is, I want to calculate the actual square foot of this piece and then subtract it from the overall square foot so I can calculate waste. Perimeter's of pieces can be in multiple forms, radial, straight or a combination of the two. See image below.